cgIsEffect(3)

NAME
cgIsEffect - determine if an effect handle references a valid effect

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsEffect( CGeffect effect );

PARAMETERS

effect
    The effect handle to check.

RETURN VALUES
Returns CG_TRUE if effect references a valid effect.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsEffect returns CG_TRUE if effect references a valid effect, CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsEffect was introduced in Cg 1.4.

SEE ALSO
the cgCreateEffect manpage, the cgCreateEffectFromFile manpage